Bug 2045916

Summary: [IBMCloud] Default machine profile in installer is unreliable
Product: OpenShift Container Platform Reporter: Christopher J Schaefer <cschaefe>
Component: InstallerAssignee: aos-install
Installer sub component: openshift-installer QA Contact: Pedro Amoedo <pamoedom>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: high CC: beth.white, jnowicki, jstuever, pamoedom
Version: 4.10   
Target Milestone: ---   
Target Release: 4.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-10 16:42:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Christopher J Schaefer 2022-01-25 23:08:47 UTC
Version:
4.10


Platform:
ibmcloud

Please specify:
IPI


What happened?

VSI's using the default IBM Cloud profile fail to provision and break IPI cluster creation, as VSI's get stuck in "Starting"

The default machine profile for IBM Cloud, bx2d-4x16, uses additional dedicated storage. However, this profile is known to be very unstable, and frequently results in failed VSI deployments when the storage cannot be allocated.

https://github.com/openshift/installer/blob/f07482a5683d99ff9c767eefcd9b2feb027353fb/pkg/asset/machines/worker.go#L121


What did you expect to happen?

Successful IPI creation using the default IBM Cloud machine profile


How to reproduce it (as minimally and precisely as possible)?

Create a new IPI cluster using the default IBM Cloud profile (not specifying a profile in install-config)
One of more VSI's will likely be stuck in Starting waiting for block storage allocation, which cannot be provisioned


Anything else we need to know?
IBM Cloud is creating a PR to change the default profile to one without this dedicated storage, which has shown to be unreliable.

Comment 1 Christopher J Schaefer 2022-01-25 23:11:59 UTC
Opened a PR to switch to a more reliable VSI profile
https://github.com/openshift/installer/pull/5578

Comment 3 Pedro Amoedo 2022-01-28 10:23:27 UTC
*** Bug 2039965 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2022-03-10 16:42:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056